Packages - Bug #3539

[linux-libre]: 6.3.3 fails to load modules with kmod 31
2023-10-02 07:38 PM - clarintux

Status: in progress % Done: 66%
Priority: bug

Assignee: bill-auger

Category:

Description

Hi!

After upgrading to kmod 31-1, the Linux-libre kernel is unable to load modules:

[FAILED]
[FAILED]
[FAILED] Depency failed for Local Encrypted Volumes.
[~ ]

Failed to start CLI Netfilter Manager.
Failed to start Cryptography Setup for home.

A start job is running for /dev/disk/by-uuid/XXXXXXXXKXXXXKXXXKX
This problem does NOT occur with:

- the Linux-libre-Its kernel and/or...
- the package kmod 30-3 (downgrading kmod solves the problem)

Thanks and greetings!

Subtasks:

Bug # 3520: [linux-libre]: mkinitcpio fails to build /boot/vmlinuz file on ARM systems in progress
Bug # 3541: Broken EFI install due unsupported filesystem on the kernel fixed

Bug # 3555: armv7h kernels fails to install properly fixed
History

#1 - 2023-10-02 08:42 PM - bill-auger

- Assignee set to Megver83

could you try other kernels to verify which have the problem - it is likely that some will and some may not - i suggest trying linux-libre-Its and
linux-libre-vanilla - if all of those exhibit the same problem, then it is probably not related to the kernels, but maybe some other program or modules or
the initrd, or something else

#2 - 2023-10-03 09:10 AM - clarintux
Yes...
- linux-libre-lts (5.15.88) works fine!

- linux-libre-vanilla (6.5.2) works fine!
- linux-libre (6.3.3) not: it works only with the old kmod (30-3).

#3 - 2023-10-05 06:20 PM - bdunahu

At least two others have noticed the same problem with the linux-libre kernel and kmod-31-1:

https://labs.parabola.nu/boar: ics/1

#4 - 2023-10-11 05:15 PM - pavelsayekat

The kmod bug (unconfirmed) was reported on archlinux also, h

And | am also experiencing the same kind of problem on my Desktop with Nvidia GPU, the system loses network, sound and proper graphics but on
my Thinkpad-x230 Laptop, kmod-31-1 has no issue with linux-libre-6.3.3-gnu-1.

# systemctl list-units --state=failed

UNIT LOAD ACTIVE SUB DESCRIPTION
® dhclient@enp3s0.service loaded failed failed dhclient on enp3s0
® systemd-modules-load.service loaded failed failed Load Kernel Modules
® ufw.service loaded failed failed CLI Netfilter Manager
® wollenp3s0.service loaded failed failed Wake-on-LAN for enp3s0
https://labs.parabola.nu/boards/5/topics/1595
https://bugs.archlinux.org/task/79837?project=1&string=kmod

LOAD = Reflects whether the unit definition was properly loaded.

ACTIVE = The high-level unit activation state, i.e. generalization of SUB.
SUB = The low-level unit activation state, values depend on unit type.
4 loaded units listed.

# systemctl status systemd-modules-load.service
x systemd-modules-load.service - Load Kernel Modules
Loaded: loaded (/usr/lib/systemd/system/systemd-modules—load.service; static)
Active: failed (Result: exit-code) since Wed 2023-10-11 19:21:57 +06; 6min ago
Docs: man:systemd-modules-load.service (8)
man:modules—-load.d(5)

Process: 194 ExecStart=/usr/lib/systemd/systemd-modules-load (code=exited, status=1/FAILURE)

Main PID: 194 (code=exited, status=1/FAILURE)
CPU: 32ms

Oct 11 19:21:57 sky systemd-modules-load[l194]: Failed to insert module 'crypto_user': No such file or director
MY

Oct 11 19:21:57 sky systemd-modules-load[194]: Failed to insert module 'dm_multipath': No such file or directo
ry

Oct 11 19:21:57 sky systemd-modules-load[194]: Failed to insert module 'nvidia_uvm': Cannot allocate memory
Oct 11 19:21:57 sky systemd[l]: systemd-modules-load.service: Main process exited, code=exited, status=1/FAILU
RE

Oct 11 19:21:57 sky systemd[1l]: systemd-modules-load.service: Failed with result 'exit-code'.

Oct 11 19:21:57 sky systemd[1l]: Failed to start Load Kernel Modules.

Notice: journal has been rotated since unit was started, output may be incomplete.

# modprobe —--dry-run --verbose --ignore-install crypto_user
insmod /lib/modules/6.3.3-gnu-1/kernel/crypto/crypto_user.ko.zst
# 1s /lib/modules/6.3.3-gnu-1/kernel/crypto/crypto_user.ko.zst
/lib/modules/6.3.3-gnu-1/kernel/crypto/crypto_user.ko.zst

# modprobe --dry-run --verbose --ignore-install dm_multipath

insmod /lib/modules/6.3.3-gnu-1/kernel/drivers/md/dm-mod.ko.zst
insmod /lib/modules/6.3.3-gnu-1/kernel/drivers/md/dm-multipath.ko.zst
# 1s /lib/modules/6.3.3-gnu-1/kernel/drivers/md/dm-mod.ko.zst
/lib/modules/6.3.3-gnu-1/kernel/drivers/md/dm-mod.ko.zst

# ls /lib/modules/6.3.3-gnu-1/kernel/drivers/md/dm-multipath.ko.zst
/lib/modules/6.3.3-gnu-1/kernel/drivers/md/dm-multipath.ko.zst

# modprobe —--dry-run --verbose —--ignore-install nvidia_uvm

insmod /lib/modules/6.3.3-gnu-1/updates/dkms/nvidia.ko.zst

insmod /lib/modules/6.3.3-gnu-1/updates/dkms/nvidia-uvm.ko.zst

# 1ls /lib/modules/6.3.3-gnu-1/updates/dkms/nvidia.ko.zst

/lib/modules/6.3.3-gnu-1/updates/dkms/nvidia.ko.zst

# 1ls /lib/modules/6.3.3-gnu-1/updates/dkms/nvidia-uvm.ko.zst
/lib/modules/6.3.3-gnu-1/updates/dkms/nvidia-uvm.ko.zst

# insmod /lib/modules/6.3.3—-gnu-1/updates/dkms/nvidia.ko.zst

insmod: ERROR: could not insert module /lib/modules/6.3.3-gnu-1/updates/dkms/nvidia.ko.zst: Cannot allocate me
mory

# insmod /lib/modules/6.3.3-gnu-1/updates/dkms/nvidia-uvm.ko.zst

insmod: ERROR: could not insert module /lib/modules/6.3.3-gnu-1/updates/dkms/nvidia-uvm.ko.zst: Cannot allocat
e memory

# uname -r

6.3.3-gnu-1

# systemctl status systemd-modules-load.service

x systemd-modules-load.service - Load Kernel Modules

Loaded: loaded (/usr/lib/systemd/system/systemd-modules-load.service; static)
Active: failed (Result: exit-code) since Wed 2023-10-11 19:55:48 +06; 1lmin 42s ago
Docs: man:systemd-modules-load.service (8)
man:modules—load.d (5)
Process: 642 ExecStart=/usr/lib/systemd/systemd-modules—-load (code=exited, status=1/FAILURE)
Main PID: 642 (code=exited, status=1/FAILURE)
CPU: 38ms

Oct 11 19:55:48 sky systemd[1l]: Starting Load Kernel Modules...

Oct 11 19:55:48 sky systemd-modules-load[642]: Failed to insert module 'crypto_user': No such file or director
MY

Oct 11 19:55:48 sky systemd-modules-load[642]: Failed to insert module 'dm_multipath': No such file or directo
ry

Oct 11 19:55:48 sky systemd-modules-load[642]: Failed to insert module 'nvidia_uvm': Cannot allocate memory
Oct 11 19:55:48 sky systemd[l]: systemd-modules-load.service: Main process exited, code=exited, status=1/FAILU
RE

Oct 11 19:55:48 sky systemd[1l]: systemd-modules-load.service: Failed with result 'exit-code'.

Oct 11 19:55:48 sky systemd[1l]: Failed to start Load Kernel Modules.
# lspci —-nnk
00:00.0 Host bridge [0600]: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Register
s [8086:590f] (rev 06)
Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers [1043:8
694]
00:01.0 PCI bridge [0604]: Intel Corporation 6th-10th Gen Core Processor PCIe Controller (x16) [8086:1901] (re
v 06)
Subsystem: ASUSTeK Computer Inc. 6th-10th Gen Core Processor PCIe Controller (x16) [1043:8694]
Kernel driver in use: pcieport
00:14.0 USB controller [0c03]: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller
[8086:al12f] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller [1043:8694]
Kernel driver in use: xhci_hcd
Kernel modules: xhci_pci
00:16.0 Communication controller [0780]: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controlle
r #1 [8086:al3a] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family MEI Controller [1043:8694]
Kernel modules: mei_me
00:17.0 SATA controller [0106]: Intel Corporation Q170/Q150/B150/H170/H110/2170/CM236 Chipset SATA Controller
[AHCI Mode] [8086:al102] (rev 31)
Subsystem: ASUSTeK Computer Inc. Q170/0Q150/B150/H170/H110/Z170/CM236 Chipset SATA Controller [AHCI Mode] [
1043:8694]
Kernel driver in use: ahci
00:1c.0 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #5 [8
086:al114] (rev f1)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:8694]
Kernel driver in use: pcieport
00:1c.7 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #8 [8
086:al1l17] (rev f1)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:8694]
Kernel driver in use: pcieport
00:1d.0 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 [8
086:a118] (rev f1)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:8694]
Kernel driver in use: pcieport
00:1f.0 ISA bridge [0601]: Intel Corporation H110 Chipset LPC/eSPI Controller [8086:al143] (rev 31)
Subsystem: ASUSTeK Computer Inc. H110 Chipset LPC/eSPI Controller [1043:8694]
00:1f.2 Memory controller [0580]: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Con
troller [8086:al21] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family Power Management Controller [1043:8
694]
00:1f.3 Audio device [0403]: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller [8086
:al70] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family HD Audio Controller [1043:86c7]
Kernel modules: snd_hda_intel, snd_soc_avs
00:1f.4 SMBus [0c05]: Intel Corporation 100 Series/C230 Series Chipset Family SMBus [8086:a123] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family SMBus [1043:8694]
Kernel modules: i2c_1i801
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GP108 [GeForce GT 1030] [10de:1d01] (rev al)
Subsystem: ZOTAC International (MCO) Ltd. GP108 [GeForce GT 1030] [19da:2476]
Kernel modules: nouveau, nvidia_drm, nvidia
01:00.1 Audio device [0403]: NVIDIA Corporation GP108 High Definition Audio Controller [10de:0fb8] (rev al)
Subsystem: ZOTAC International (MCO) Ltd. GP108 High Definition Audio Controller [19da:2476]
Kernel modules: snd_hda_intel
03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethe
rnet Controller [10ec:8168] (rev 15)
Subsystem: ASUSTeK Computer Inc. PRIME B450M-A Motherboard [1043:8677]
Kernel modules: r8169
04:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethe
rnet Controller [10ec:8168] (rev 06)
Subsystem: TP-LINK Technologies Co., Ltd. TG-3468 Gigabit PCI Express Network Adapter [7470:3468]
Kernel modules: r8169

# pacman -Qi kmod

Name : kmod

Version 8 3=,

Description : Linux kernel module management tools and library
Architecture : x86_64

URL : https://git.kernel.org/pub/scm/utils/kernel/kmod/kmod.git
Licenses : GPL2

Groups : None

Provides : module-init-tools=3.16 libkmod.so=2-64

Depends On : glibc zlib openssl xz zstd

Optional Deps : None
Required By : dkms 1libblockdev 1linux-libre linux-libre-1lts mkinitcpio ndctl pciutils systemd syste
md-udev

Optional For : None

Conflicts With : module-init-tools

Replaces : module-init-tools

Installed Size : 295.16 KiB

Packager : Christian Hesse <eworm@archlinux.org>

Build Date : Sat Sep 30 02:52:41 2023

Install Date : Wed Oct 11 20:00:14 2023

Install Reason : Installed as a dependency for another package
Install Script : No

Validated By : Signature

But on linux-libre-Its with kmod-31-1, no kernel modules has any issues.

# uname -r
5.15.88-gnu-1-1ts
# lspci -nnk
00:00.0 Host bridge [0600]: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Register
s [8086:590f] (rev 06)
Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers [1043:8
694]
Kernel driver in use: skl_uncore
00:01.0 PCI bridge [0604]: Intel Corporation 6th-10th Gen Core Processor PCIe Controller (x16) [8086:1901] (re
v 06)
Subsystem: ASUSTeK Computer Inc. 6th-10th Gen Core Processor PCIe Controller (x16) [1043:8694]
Kernel driver in use: pcieport
00:14.0 USB controller [0c03]: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller
[8086:al1l2f] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller [1043:8694]
Kernel driver in use: xhci_hcd
Kernel modules: xhci_pci
00:16.0 Communication controller [0780]: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controlle
r #1 [8086:al3a] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family MEI Controller [1043:8694]
Kernel driver in use: mei_me
Kernel modules: mei_me
00:17.0 SATA controller [0106]: Intel Corporation Q170/Q150/B150/H170/H110/2170/CM236 Chipset SATA Controller
[AHCI Mode] [8086:al02] (rev 31)
Subsystem: ASUSTeK Computer Inc. Q170/Q150/B150/H170/H110/2170/CM236 Chipset SATA Controller [AHCI Mode] [
1043:8694]
Kernel driver in use: ahci
00:1c.0 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #5 [8
086:al114] (rev f1)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:8694]
Kernel driver in use: pcieport
00:1c.7 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #8 [8
086:al1l17] (rev f1)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:8694]
Kernel driver in use: pcieport
00:1d.0 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 [8
086:2118] (rev f1)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:8694]
Kernel driver in use: pcieport
00:1f.0 ISA bridge [0601]: Intel Corporation H110 Chipset LPC/eSPI Controller [8086:al143] (rev 31)
Subsystem: ASUSTeK Computer Inc. H110 Chipset LPC/eSPI Controller [1043:8694]
00:1f.2 Memory controller [0580]: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Con
troller [8086:al1l21] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family Power Management Controller [1043:8
694]
00:1f.3 Audio device [0403]: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller [8086
:al70] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family HD Audio Controller [1043:86c¢7]
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel
00:1f.4 SMBus [0c05]: Intel Corporation 100 Series/C230 Series Chipset Family SMBus [8086:a123] (rev 31)
Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family SMBus [1043:8694]
Kernel driver in use: i1801_smbus
Kernel modules: i2c_1i801
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GP108 [GeForce GT 1030] [10de:1d01] (rev al)
Subsystem: ZOTAC International (MCO) Ltd. GP108 [GeForce GT 1030] [19da:2476]
Kernel driver in use: nvidia
Kernel modules: nouveau, nvidia_drm, nvidia
01:00.1 Audio device [0403]: NVIDIA Corporation GP108 High Definition Audio Controller [10de:0fb8] (rev al)
Subsystem: ZO

Kernel driver in use:
Kernel modules:
03:00.0 Ethernet controller

rnet Controller [

Subsystem: ASUSTeK Computer Inc.
Kernel driver in use:
Kernel modules:
04:00.0 Ethernet controller

rnet Controller [

Subsystem: TP-LINK Technologies Co.,
Kernel driver in use:
Kernel modules:

TAC International (MCO)
snd_hda_intel
snd_hda_intel

[0200]:
(rev 15)

Realtek Semiconductor Co.,
10ec:8168]
PRIME B450M-A Motherboard [1043:8677]
r8169
r8169

[02007]:
(rev 06)

Realtek Semiconductor Co.,
10ec:8168]

r8169
r8169

# systemctl status systemd-modules-load.service

® systemd-modules-load.service - Load Kernel Modules
Loaded: loaded (/usr/lib/systemd/system/systemd-modules—load.service;
Active: active (exited) since Wed 2023-10-11 22:07:15 +06; 45min ago
Docs: man:systemd-modules-load.service (8)
man:modules—-load.d (5)
Process: 194 ExecStart=/usr/lib/systemd/systemd-modules-load (code=exited,
Main PID: 194 (code=exited, status=0/SUCCESS)
CPU: 1.351s

# pacman -Qi kmod
Name : kmod
Version 31-1
Description Linux kernel module management tools and library
Architecture x86_64
URL https://git.kernel.org/pub/scm/utils/kernel/kmod/kmod.git
Licenses GPL2
Groups None
Provides module-init-tools=3.16 libkmod.so=2-64
Depends On glibc zlib openssl xz zstd
Optional Deps None
Required By dkms libblockdev linux-libre 1linux-libre-1ts mkinitcpio
md-udev
Optional For None

Conflicts With
Replaces
Installed Size
Packager

Build Date
Install Date
Install Reason
Install Script
Validated By

module-init-tools

module-init-tools

295.16 KiB

Christian Hesse <eworm@archlinux.org>

Sat Sep 30 02:52:41 2023

Wed Oct 11 20:00:14 2023

Installed as a dependency for another package
No

Signature

But after downgrading kmod to 30-3 on linux-libre-6.3.3-gnu-1, the system becomes normal:

# pacman -Qi kmod

Name

Version
Description
Architecture
URL

Licenses
Groups
Provides
Depends On
Optional Deps
Required By
md-udev
Optional For
Conflicts With
Replaces
Installed Size
Packager

Build Date
Install Date
Install Reason
Install Script
Validated By

# uname -r

2024-04-27

kmod

30-3

Linux kernel module management tools and library

x86_64
https://git.kernel.org/pub/scm/utils/kernel/kmod/kmod.git
GPL2

None

module-init-tools=3.16 1libkmod.so=2-64

glibc zlib openssl xz zstd

None

dkms libblockdev 1linux-libre 1linux-libre-1lts mkinitcpio
None

module-init-tools

module-init-tools

302.84 KiB

Unknown Packager

Wed Oct 11 22:03:58 2023

Wed Oct 11 22:04:12 2023

Installed as a dependency for another package
No

None

Ltd. GP108 High Definition Audio Controller

Ltd. TG-3468 Gigabit PCI Express Network Adapter

static)

status=0/SUCCESS)

ndctl

ndctl

[19da:2476]

pciutils

pciutils

[7470:3468]

systemd

systemd

5/7

Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethe

Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethe

syste

syste



6.3.3-gnu-1
# lspci —-nnk
00:00.0 Host bridge [0600]: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Register
s [8086:590f] (rev 06)

Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers [10
43:8694]

Kernel driver in use: skl_uncore
00:01.0 PCI bridge [0604]: Intel Corporation 6th-10th Gen Core Processor PCIe Controller (x16) [8086:1901] (re
v 06)

Subsystem: ASUSTeK Computer Inc. 6th-10th Gen Core Processor PCIe Controller (x16) [1043:8694]

Kernel driver in use: pcieport
00:14.0 USB controller [0c03]: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller

[8086:al2f] (rev 31)

Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller [1043:8
694]

Kernel driver in use: xhci_hcd

Kernel modules: xhci_pci
00:16.0 Communication controller [0780]: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controlle
r #1 [8086:al3a] (rev 31)

Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family MEI Controller [1043:8694]

Kernel driver in use: mei_me

Kernel modules: mei_me
00:17.0 SATA controller [0106]: Intel Corporation Q170/Q150/B150/H170/H110/2170/CM236 Chipset SATA Controller
[AHCI Mode] [8086:al102] (rev 31)

Subsystem: ASUSTeK Computer Inc. Q170/Q150/B150/H170/H110/Z170/CM236 Chipset SATA Controller [AHCI Mod
e] [1043:8694]

Kernel driver in use: ahci
00:1c.0 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #5 [8
086:a114] (rev f1)

Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:869
4]

Kernel driver in use: pcieport
00:1c.7 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #8 [8
086:al1l17] (rev f1)

Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:869
4]

Kernel driver in use: pcieport
00:1d.0 PCI bridge [0604]: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 [8
086:a118] (rev f1)

Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family PCI Express Root Port [1043:869
4]

Kernel driver in use: pcieport
00:1f.0 ISA bridge [0601]: Intel Corporation H110 Chipset LPC/eSPI Controller [8086:al143] (rev 31)

Subsystem: ASUSTeK Computer Inc. H110 Chipset LPC/eSPI Controller [1043:8694]
00:1f.2 Memory controller [0580]: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Con
troller [8086:al21] (rev 31)

Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family Power Management Controller [10
43:8694]
00:1f.3 Audio device [0403]: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller [8086
:al70] (rev 31)

Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family HD Audio Controller [1043:86c7]

Kernel driver in use: snd_hda_intel

Kernel modules: snd_hda_intel, snd_soc_avs
00:1f.4 SMBus [0c05]: Intel Corporation 100 Series/C230 Series Chipset Family SMBus [8086:a123] (rev 31)

Subsystem: ASUSTeK Computer Inc. 100 Series/C230 Series Chipset Family SMBus [1043:8694]

Kernel driver in use: 1801_smbus

Kernel modules: i2c_1801
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GP108 [GeForce GT 1030] [10de:1d01l] (rev al)

Subsystem: ZOTAC International (MCO) Ltd. GP108 [GeForce GT 1030] [19da:2476]

Kernel driver in use: nvidia

Kernel modules: nouveau, nvidia_drm, nvidia
01:00.1 Audio device [0403]: NVIDIA Corporation GP108 High Definition Audio Controller [10de:0fb8] (rev al)

Subsystem: ZOTAC International (MCO) Ltd. GP108 High Definition Audio Controller [19da:2476]

Kernel driver in use: snd_hda_intel

Kernel modules: snd_hda_intel
03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethe
rnet Controller [10ec:8168] (rev 15)

Subsystem: ASUSTeK Computer Inc. PRIME B450M-A Motherboard [1043:8677]

Kernel driver in use: r8169

Kernel modules: r8169
04:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethe
rnet Controller [10ec:8168] (rev 06)

Subsystem: TP-LINK Technologies Co., Ltd. TG-3468 Gigabit PCI Express Network Adapter [7470:3468]

Kernel driver in use: r8169

Kernel modules: r8169
# systemctl status systemd-modules-load.service
® systemd-modules-load.service - Load Kernel Modules
Loaded: loaded (/usr/lib/systemd/system/systemd-modules-load.service; static)
Active: active (exited) since Wed 2023-10-11 22:07:15 +06; 45min ago
Docs: man:systemd-modules-load.service (8)
man:modules—load.d (5)

Process: 194 ExecStart=/usr/lib/systemd/systemd-modules-load (code=exited, status=0/SUCCESS)

Main PID: 194 (code=exited, status=0/SUCCESS)
CPU: 1.351s

Oct 11 22:07:13 sky systemd-modules-load[194]: Inserted module 'crypto_user'

Oct 11 22:07:13 sky systemd-modules-load[l194]: Inserted module 'dm_multipath'

Oct 11 22:07:15 sky systemd-modules—-load[194]: Inserted module 'nvidia_uvm'

Oct 11 22:07:15 sky systemd[1l]: Finished Load Kernel Modules.

Notice: journal has been rotated since unit was started, output may be incomplete.

#5 - 2023-10-17 07:04 AM - dario
There is a bug report for Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1050582#30

#6 - 2023-10-17 10:27 PM - bill-auger
- Status changed from unconfirmed to in progress

- Subject changed from [linux-libre 6.3.3][kmod 31-1] Failed to start CLI Netfilter Manager. Failed to start Cryptography Setup to [linux-libre]: 6.3.3 fails
to load modules with kmod 31

#7 - 2023-10-18 08:27 PM - bill-auger

- Assignee changed from Megver83 to bill-auger

i have replaced linux-libre with the vanilla variant; which should fix the various problems with kmod for now - we will need to keep an eye on this for
the next linux-libre

#8 - 2023-10-18 08:34 PM - bill-auger
- Assignee deleted (bill-auger)

- Status changed from in progress to confirmed

#9 - 2023-10-18 08:42 PM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to fixed

i have replaced linux-libre with the vanilla variant; which should fix the various problems with kmod for now - we will need to keep an eye on this for
the next linux-libre

#10 - 2023-10-29 06:56 AM - bill-auger

- Status changed from fixed to in progress
